---

#! /zdci/db/releases/20250531085731/lkp-src/jobs/vm-scalability.yaml
suite: vm-scalability
testcase: vm-scalability
category: benchmark
perf-profile:
runtime: 300s
size:
vm-scalability:
  test: lru-file-mmap-read
job_origin: vm-scalability.yaml
arch: x86_64

#! include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: "n"
- XFS_DEBUG: "n"
- XFS_WARN: "y"
- PM_DEBUG: "n"
- PM_SLEEP_DEBUG: "n"
- DEBUG_ATOMIC_SLEEP: "n"
- DEBUG_SPINLOCK_SLEEP: "n"
- CIFS_DEBUG: "n"
- SCSI_DEBUG: "n"
- NFS_DEBUG: "n"
- SUNRPC_DEBUG: "n"
- DM_DEBUG: "n"
- DEBUG_SHIRQ: "n"
- OCFS2_DEBUG_MASKLOG: "n"
- DEBUG_MEMORY_INIT: "n"
- BUG_ON_DATA_CORRUPTION: "n"
- DEBUG_LIST: "n"
- DEBUG_PLIST: "n"
- EXPERT: "y"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY_BEHAVIOUR: "y"
- PREEMPT_BEHAVIOUR: "n"
- PREEMPT_NONE_BEHAVIOUR: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- BLK_DEV_LOOP
- XFS_ONLINE_SCRUB_STATS: "n"
- XFS_DEBUG: "n"
- XFS_WARN: "y"
- PM_DEBUG: "n"
- PM_SLEEP_DEBUG: "n"
- DEBUG_ATOMIC_SLEEP: "n"
- DEBUG_SPINLOCK_SLEEP: "n"
- CIFS_DEBUG: "n"
- SCSI_DEBUG: "n"
- NFS_DEBUG: "n"
- SUNRPC_DEBUG: "n"
- DM_DEBUG: "n"
- DEBUG_SHIRQ: "n"
- OCFS2_DEBUG_MASKLOG: "n"
- DEBUG_MEMORY_INIT: "n"
- BUG_ON_DATA_CORRUPTION: "n"
- DEBUG_LIST: "n"
- DEBUG_PLIST: "n"
- EXPERT: "y"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY_BEHAVIOUR: "y"
- PREEMPT_BEHAVIOUR: "n"
- PREEMPT_NONE_BEHAVIOUR: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- BLK_DEV_LOOP
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:

#! include/category/ALL
cpufreq_governor: performance
sanity-check:

#! programs/vm-scalability/include

#! queue options
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
queue: bisect
testbox: lkp-icl-2sp4
tbox_group: lkp-icl-2sp4
branch: linus/master
commit: c544a952ba61b1a025455098033c17e0573ab085
repeat_to: 3
job_file: "/lkp/jobs/scheduled/lkp-icl-2sp4/vm-scalability-performance-300s-lru-file-mmap-read-debian-12-x86_64-20240206.cgz-c544a952ba61-20250604-255746-1ypy4p1-0.yaml"
id: e646668ffdc83f0bd94df2802edafc2b0cd28d7f
queuer_version: "/zday/lkp"

#! /zdci/db/releases/20250531085731/lkp-src/hosts/lkp-icl-2sp4
model: Ice Lake
nr_node: 2
nr_cpu: 128
memory: 128G
nr_ssd_partitions: 3
nr_hdd_partitions: 6
hdd_partitions: "/dev/disk/by-id/ata-WDC_WD20SPZX-08UA7_WD-WXE2EA0ECVAS-part*"
ssd_partitions: "/dev/disk/by-id/ata-INTEL_SSDSC2BA800G3_BTTV34510181800JGN-part*"
rootfs_partition: "/dev/disk/by-id/ata-INTEL_SSDSC2KB240G8_BTYF015507C2240AGN-part1"
kernel_cmdline_hw: acpi_rsdp=0x69ffd014
brand: Intel(R) Xeon(R) Platinum 8358 CPU @ 2.60GHz
ucode: '0xd000404'
bisect_dmesg: true

#! /zdci/db/releases/20250531085731/lkp-src/include/category/benchmark

#! /zdci/db/releases/20250531085731/lkp-src/include/category/ALL

#! /zdci/db/releases/20250531085731/lkp-src/programs/vm-scalability/include
rootfs: debian-12-x86_64-20240206.cgz
kconfig: x86_64-rhel-9.4
enqueue_time: 2025-06-04 00:33:17.120028816 +08:00
compiler: gcc-12
_rt: "/result/vm-scalability/performance-300s-lru-file-mmap-read/lkp-icl-2sp4/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/c544a952ba61b1a025455098033c17e0573ab085"

#! schedule options
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20250530-183532"
max_uptime: 2100
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/vm-scalability/performance-300s-lru-file-mmap-read/lkp-icl-2sp4/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/c544a952ba61b1a025455098033c17e0573ab085/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4/gcc-12/c544a952ba61b1a025455098033c17e0573ab085/vmlinuz-6.15.0-rc6-00295-gc544a952ba61
- branch=linus/master
- job=/lkp/jobs/scheduled/lkp-icl-2sp4/vm-scalability-performance-300s-lru-file-mmap-read-debian-12-x86_64-20240206.cgz-c544a952ba61-20250604-255746-1ypy4p1-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4
- commit=c544a952ba61b1a025455098033c17e0573ab085
- intremap=posted_msi
- acpi_rsdp=0x69ffd014
- max_uptime=2100
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4/gcc-12/c544a952ba61b1a025455098033c17e0573ab085/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20241102.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-11066801dd4b-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/vm-scalability_20241103.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/vm-scalability-x86_64-6f4ef16-0_20241103.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/iostat_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/mpstat_20240221.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/sar-x86_64-f3f2b1a4-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20250523.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: shz

#! /zdci/db/releases/20250531085731/lkp-src/include/site/shz
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-icl-2sp4/vm-scalability-performance-300s-lru-file-mmap-read-debian-12-x86_64-20240206.cgz-c544a952ba61-20250604-255746-1ypy4p1-0.cgz"
last_kernel: 6.15.0-10420-ga6e3bb661ead
acpi_rsdp: '0x69ffd014'

#! user overrides
kbuild_queue_analysis: 1
kernel: "/pkg/linux/x86_64-rhel-9.4/gcc-12/c544a952ba61b1a025455098033c17e0573ab085/vmlinuz-6.15.0-rc6-00295-gc544a952ba61"
result_root: "/result/vm-scalability/performance-300s-lru-file-mmap-read/lkp-icl-2sp4/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/c544a952ba61b1a025455098033c17e0573ab085/0"
user: lkp
dequeue_time: 2025-06-04 00:37:40.255365405 +08:00
job_state: finished
loadavg: 76.56 52.95 21.96 1/1227 11671
start_time: '1748968781'
end_time: '1748968978'
version: "/lkp/lkp/.src-20250530-183532:7f55fe6ebbd5:9b2abff95688"
